Skip to content

Get the list of organizations

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the list of organizations, support paging.

Method name

ManagementClient.list_organizations

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010
fetchAllbooleanNo-Fetch all
withCustomDatabooleanNo-Whether to obtain custom datatrue
withPostbooleanNo-Whether to obtain department informationtrue
tenantIdstringNo-tenant ID623c20b2a062aaaaf41b17da
statusbooleanNo-organization statusfasle

Request Response

Type: OrganizationPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a OrganizationPagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "organizationCode": "steamory",
      "organizationName": "test",
      "description": "test desc",
      "createdAt": "2022-07-03T03:20:30.000Z",
      "updatedAt": "2022-07-03T03:20:30.000Z",
      "departmentId": "60b49eb83fd80adb96f26e68",
      "openDepartmentId": "60b49eb83fd80adb96f26e68",
      "hasChildren": true,
      "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
      "membersCount": 150,
      "i18n": {
        "organizationName": {
          "zh-CN": {
            "enabled": false,
            "value": "中文"
          },
          "en-US": {
            "enabled": false,
            "value": "English"
          }
        }
      },
      "customData": {
        "icon": "https://example.com/logo"
      },
      "tenantId": "623c20b2a062aaaaf41b17da",
      "postIdList": "[\"xxx\"]",
      "status": "false",
      "allow": "[\"xxx\"]"
    }
  }
}

Data Structure

OrganizationPagingDto

NameTypeIs it required?DescriptionSample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: <a OrganizationDto.

OrganizationDto

NameTypeIs it required?DescriptionSample value
organizationCodestringyesOrganization codesteamory
organizationNamestringyesOrganization namesteam memory
descriptionstringnoOrganization descriptionOrganization description
createdAtstringnoCreation time2022-07-03T03:20:30.000Z
updatedAtstringnoModification time2022-07-03T03:20:30.000Z
departmentIdstringyesRoot node ID60b49eb83fd80adb96f26e68
openDepartmentIdstringNoRoot node custom ID60b49eb83fd80adb96f26e68
hasChildrenbooleanYesWhether to include child nodestrue
leaderUserIdsarrayNoDepartment leader ID["60b49eb83fd80adb96f26e68"]
membersCountnumberYesNumber of people in the department150
isVirtualNodebooleanYesWhether it is a virtual department
i18nNoMulti-language settings Nested type: <a OrganizationNameI18nDto.{"organizationName":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
tenantIdstringNoTenant ID623c20b2a062aaaaf41b17da
postIdListarrayNoPost id list["xxx"]
statusstringNoStatusfalse
allowstringNoAccess restriction["xxx"]

OrganizationNameI18nDto

NameTypeIs this field required?DescriptionSample value
organizationNameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringyesMultilingual content

Agent infrastructure for identity, memory, and web action.